kr.co.hanwha.hifive.screen.intro

## Class CheckAuthNumberPresenter

- java.lang.Object
- - kr.co.hanwha.hifive.screen.intro.CheckAuthNumberPresenter

All Implemented Interfaces:
  BasePresenter, CheckAuthNumberContract.Presenter

    public class CheckAuthNumberPresenter
    extends java.lang.Object
    implements CheckAuthNumberContract.Presenter

Created by sanghoonkwon on 2018. 2. 13..

### Field Summary

Fields
`private CheckAuthNumberContract.View` `mView`

### Constructor Summary

Constructors
Constructor and Description
`CheckAuthNumberPresenter(CheckAuthNumberContract.View view)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `detachView()`
`void` `doSimpleLogin(java.lang.String authcode)` 간편 로그인
`private android.app.Activity` `getActivity()` Support methods
`android.content.Context` `getContext()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mView

    private CheckAuthNumberContract.View mView

### Constructor Detail

#### CheckAuthNumberPresenter

    public CheckAuthNumberPresenter(@NonNull
                                    CheckAuthNumberContract.View view)

### Method Detail

#### detachView

    public void detachView()

Specified by:
  `detachView` in interface `BasePresenter`

#### getContext

    public android.content.Context getContext()

Specified by:
  `getContext` in interface `BasePresenter`

#### doSimpleLogin

    public void doSimpleLogin(@NonNull
                              java.lang.String authcode)

Description copied from interface: `CheckAuthNumberContract.Presenter`
간편 로그인

Specified by:
  `doSimpleLogin` in interface `CheckAuthNumberContract.Presenter`
Parameters:
  `authcode` - 간편로그인 패스워드

#### getActivity

    private android.app.Activity getActivity()

Support methods